#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=false

override_dh_bugfiles:
	dh_bugfiles -A

execute_after_dh_install-indep:
	# Copy errmsg.sys files from mariadb-server-core package
	debian/copy-errmsg-files.py /usr/share/mariadb debian/amarok-common/usr/share/amarok/mysqle

execute_after_dh_auto_install:
	# Remove development stuff
	find debian/tmp -name '*.so' -type l -print -delete

%:
	dh $@

.PHONY: override_dh_auto_test
